Package ghidra.app.util.html

# Class DataTypeLine

java.lang.Object
ghidra.app.util.html.DataTypeLine

All Implemented Interfaces:
  `ValidatableLine`

Direct Known Subclasses:
  `EmptyDataTypeLine`

public class DataTypeLine extends Object implements ValidatableLine

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.html.ValidatableLine

  `INVALID_COLOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValidatableLine`
  `copy()`
  `String`
  `getComment()`
  `Color`
  `getCommentColor()`
  `DataType`
  `getDataType()`
  `String`
  `getName()`
  `Color`
  `getNameColor()`
  `String`
  `getText()`
  `String`
  `getType()`
  `Color`
  `getTypeColor()`
  `boolean`
  `hasUniversalId()`
  `boolean`
  `isDiffColored()`
  `boolean`
  `isValidated()`
  True means that this line has been matched against another line, regardless of whether the two lines are the same or not.
  `boolean`
  `matches(ValidatableLine otherValidatableLine)`
  `void`
  `setCommentColor(Color commentColor)`
  `void`
  `setNameColor(Color nameColor)`
  `void`
  `setTextColor(Color color)`
  Set color for all text.
  `void`
  `setTypeColor(Color typeColor)`
  `void`
  `setValidationLine(ValidatableLine line)`
  Sets the other line that this line is validated against.
  `String`
  `toString()`
  `void`
  `updateColor(ValidatableLine otherValidatableLine, Color invalidColor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### copy

    public ValidatableLine copy()
    Specified by:
      `copy` in interface `ValidatableLine`

  - ### isDiffColored

    public boolean isDiffColored()
    Specified by:
      `isDiffColored` in interface `ValidatableLine`

  - ### getType

    public String getType()

  - ### getName

    public String getName()

  - ### getComment

    public String getComment()

  - ### getDataType

    public DataType getDataType()

  - ### hasUniversalId

    public boolean hasUniversalId()

  - ### getTypeColor

    public Color getTypeColor()

  - ### setTypeColor

    public void setTypeColor(Color typeColor)

  - ### getNameColor

    public Color getNameColor()

  - ### setNameColor

    public void setNameColor(Color nameColor)

  - ### getCommentColor

    public Color getCommentColor()

  - ### setCommentColor

    public void setCommentColor(Color commentColor)

  - ### setTextColor

    public void setTextColor(Color color)
    Description copied from interface: `ValidatableLine`
    Set color for all text.
    Specified by:
      `setTextColor` in interface `ValidatableLine`
    Parameters:
      `color` - text color

  - ### updateColor

    public void updateColor(ValidatableLine otherValidatableLine, Color invalidColor)
    Specified by:
      `updateColor` in interface `ValidatableLine`

  - ### isValidated

    public boolean isValidated()
    Description copied from interface: `ValidatableLine`
    True means that this line has been matched against another line, regardless of whether the two lines are the same or not.
    Specified by:
      `isValidated` in interface `ValidatableLine`
    Returns:
      true if this line has been matched against another line

  - ### getText

    public String getText()
    Specified by:
      `getText` in interface `ValidatableLine`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### matches

    public boolean matches(ValidatableLine otherValidatableLine)
    Specified by:
      `matches` in interface `ValidatableLine`

  - ### setValidationLine

    public void setValidationLine(ValidatableLine line)
    Description copied from interface: `ValidatableLine`
    Sets the other line that this line is validated against. The other line may be a full, partial, or no match at all.
    Specified by:
      `setValidationLine` in interface `ValidatableLine`
    Parameters:
      `line` - the line against which this line is validated